import { defineStore } from 'pinia'
import { getDiyTemplate } from '@/api/mall/index'

export const useMallStore = defineStore('mall',
  {
    state: () => ({
      template: localStorage.getItem('mallTemplate') ? JSON.parse(localStorage.getItem('mallTemplate')) : {}
    }),
    actions: {
      // 获取装修模版
      async getMallDiyTemplate () {
        const data = await getDiyTemplate()
        localStorage.setItem('mallTemplate', JSON.stringify(data))
        this.template = data
      }
    }
  },
  {
    persist: true,
    devtools: true
  }
)

